Upstream information

CVE-2016-9840 at MITRE

Description

inftrees.c in zlib 1.2.8 might allow context-dependent attackers to have unspecified impact by leveraging improper pointer arithmetic.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 4.6
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:H/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1003579 [RESOLVED / FIXED], 1023215 [RESOLVED / FIXED], 1038505 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libz1 >= 1.2.8-6.3.1
  • libz1-32bit >= 1.2.8-6.3.1
  • zlib >= 1.2.8-6.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-3
SUSE Linux Enterprise Desktop 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
  • libz1 >= 1.2.8-11.1
  • libz1-32bit >= 1.2.8-11.1
  • zlib >= 1.2.8-11.1
  • zlib-devel >= 1.2.8-11.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1847
SUSE-SLE-DESKTOP-12-SP2-2017-2
SUSE-SLE-DESKTOP-12-SP2-2018-6
SUSE Linux Enterprise Desktop 12 SP3
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1847
SUSE-SLE-DESKTOP-12-SP3-2018-6
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
  • sles12sp2-docker-image >= 1.0.2-20180821
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE-SLE-Module-Containers-12-2018-1762
SUSE Linux Enterprise Module for Legacy Software 12
  • java-1_6_0-ibm >= 1.6.0_sr16.45-49.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.45-49.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.45-49.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.45-49.1
Patchnames:
SUSE-SLE-Module-Legacy-12-2017-843
SUSE Linux Enterprise Module for Legacy Software 15
  • java-1_8_0-ibm >= 1.8.0_sr5.11-1.5
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.11-1.5
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.11-1.5
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.11-1.5
  • java-1_8_0-openjdk >= 1.8.0.161-1.52
  • java-1_8_0-openjdk-demo >= 1.8.0.161-1.52
  • java-1_8_0-openjdk-devel >= 1.8.0.161-1.52
  • java-1_8_0-openjdk-headless >= 1.8.0.161-1.52
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 15 GA java-1_8_0-ibm
SUSE Linux Enterprise Module for Legacy Software 15 GA java-1_8_0-openjdk
SUSE Linux Enterprise Point of Sale 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.45-84.1
  • java-1_7_0-ibm >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.5-64.1
Patchnames:
sleposp3-java-1_6_0-ibm-13130
sleposp3-java-1_7_0-ibm-13124
SUSE Linux Enterprise Server 11 SP3-LTSS
  • java-1_6_0-ibm >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.45-84.1
  • java-1_7_0-ibm >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.5-64.1
Patchnames:
slessp3-java-1_6_0-ibm-13130
slessp3-java-1_7_0-ibm-13124
SUSE Linux Enterprise Server 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-25.1
  • zlib >= 1.2.7-0.14.1
  • zlib-32bit >= 1.2.7-0.14.1
  • zlib-x86 >= 1.2.7-0.14.1
Patchnames:
slessp4-java-1_7_1-ibm-13123
slessp4-zlib-12902
SUSE Linux Enterprise Server 12 SP1
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
  • libz1 >= 1.2.8-6.3.1
  • libz1-32bit >= 1.2.8-6.3.1
  • zlib >= 1.2.8-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-3
SUSE-SLE-SERVER-12-SP1-2017-844
SUSE-SLE-SERVER-12-SP1-2017-847
SUSE Linux Enterprise Server 12 SP1-LTSS
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1847
SUSE-SLE-SERVER-12-SP1-2018-6
SUSE Linux Enterprise Server 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
  • libz1 >= 1.2.8-11.1
  • libz1-32bit >= 1.2.8-11.1
  • zlib >= 1.2.8-11.1
  • zlib-devel >= 1.2.8-11.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1847
SUSE-SLE-SERVER-12-SP2-2017-2
SUSE-SLE-SERVER-12-SP2-2017-844
SUSE-SLE-SERVER-12-SP2-2017-847
SUSE-SLE-SERVER-12-SP2-2018-6
SUSE Linux Enterprise Server 12 SP3
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
  • libz1 >= 1.2.8-11.1
  • libz1-32bit >= 1.2.8-11.1
  • zlib-devel >= 1.2.8-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA java-1_7_1-ibm
SUSE Linux Enterprise Server 12 SP3 GA java-1_8_0-ibm
SUSE Linux Enterprise Server 12 SP3 GA libz1
SUSE-SLE-SERVER-12-SP3-2017-1847
SUSE-SLE-SERVER-12-SP3-2018-6
SUSE Linux Enterprise Server 12-LTSS
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
Patchnames:
SUSE-SLE-SERVER-12-2017-847
SUSE-SLE-SERVER-12-2018-6
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
  • libz1 >= 1.2.8-11.1
  • zlib >= 1.2.8-11.1
  • zlib-devel >= 1.2.8-11.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1847
SUSE-SLE-RPI-12-SP2-2017-2
SUSE-SLE-RPI-12-SP2-2018-6
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • java-1_6_0-ibm >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.45-84.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.45-84.1
  • java-1_7_0-ibm >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.5-64.1
Patchnames:
slessp3-java-1_6_0-ibm-13130
slessp3-java-1_7_0-ibm-13124
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-25.1
  • zlib >= 1.2.7-0.14.1
  • zlib-32bit >= 1.2.7-0.14.1
  • zlib-x86 >= 1.2.7-0.14.1
Patchnames:
slessp4-java-1_7_1-ibm-13123
slessp4-zlib-12902
SUSE Linux Enterprise Server for SAP Applications 12
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
Patchnames:
SUSE-SLE-SAP-12-2017-847
SUSE-SLE-SAP-12-2018-6
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
  • libz1 >= 1.2.8-6.3.1
  • libz1-32bit >= 1.2.8-6.3.1
  • zlib >= 1.2.8-6.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1847
SUSE-SLE-SAP-12-SP1-2018-6
SUSE-SLE-SERVER-12-SP1-2017-3
SUSE-SLE-SERVER-12-SP1-2017-844
SUSE-SLE-SERVER-12-SP1-2017-847
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1847
SUSE-SLE-SERVER-12-SP1-2018-6
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
  • libz1 >= 1.2.8-11.1
  • libz1-32bit >= 1.2.8-11.1
  • zlib >= 1.2.8-11.1
  • zlib-devel >= 1.2.8-11.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1847
SUSE-SLE-SERVER-12-SP2-2017-2
SUSE-SLE-SERVER-12-SP2-2017-844
SUSE-SLE-SERVER-12-SP2-2017-847
SUSE-SLE-SERVER-12-SP2-2018-6
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1847
SUSE-SLE-SERVER-12-SP3-2018-6
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
Patchnames:
SUSE-SLE-SERVER-12-2017-847
SUSE-SLE-SERVER-12-2018-6
SUSE Linux Enterprise Software Development Kit 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-25.1
  • zlib >= 1.2.7-0.14.1
  • zlib-devel >= 1.2.7-0.14.1
  • zlib-devel-32bit >= 1.2.7-0.14.1
Patchnames:
sdksp4-java-1_7_1-ibm-13123
sdksp4-zlib-12902
SUSE Linux Enterprise Software Development Kit 12 SP1
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.5-29.1
  • zlib >= 1.2.8-6.3.1
  • zlib-devel >= 1.2.8-6.3.1
  • zlib-devel-32bit >= 1.2.8-6.3.1
  • zlib-devel-static >= 1.2.8-6.3.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-3
SUSE-SLE-SDK-12-SP1-2017-844
SUSE-SLE-SDK-12-SP1-2017-847
SUSE Linux Enterprise Software Development Kit 12 SP2
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.5-29.1
  • zlib >= 1.2.8-11.1
  • zlib-devel >= 1.2.8-11.1
  • zlib-devel-32bit >= 1.2.8-11.1
  • zlib-devel-static >= 1.2.8-11.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-2
SUSE-SLE-SDK-12-SP2-2017-844
SUSE-SLE-SDK-12-SP2-2017-847
SUSE Linux Enterprise Software Development Kit 12 SP3
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.5-29.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA java-1_7_1-ibm-devel
SUSE Linux Enterprise Software Development Kit 12 SP3 GA java-1_8_0-ibm-devel
SUSE OpenStack Cloud 6
  • java-1_7_0-openjdk >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-demo >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-devel >= 1.7.0.161-43.7.6
  • java-1_7_0-openjdk-headless >= 1.7.0.161-43.7.6
  • java-1_8_0-openjdk >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-27.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-27.8.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1847
SUSE-OpenStack-Cloud-6-2018-6
SUSE Studio Onsite 1.3
  • zlib >= 1.2.7-0.135.3.1
  • zlib-devel >= 1.2.7-0.135.3.1
Patchnames:
slestso13-zlib-1.2.7-13676
openSUSE Leap 42.1
  • libz1 >= 1.2.8-8.1
  • libz1-32bit >= 1.2.8-8.1
  • libz1-debuginfo >= 1.2.8-8.1
  • libz1-debuginfo-32bit >= 1.2.8-8.1
  • zlib >= 1.2.8-8.1
  • zlib-debugsource >= 1.2.8-8.1
  • zlib-devel >= 1.2.8-8.1
  • zlib-devel-32bit >= 1.2.8-8.1
  • zlib-devel-static >= 1.2.8-8.1
  • zlib-devel-static-32bit >= 1.2.8-8.1
Patchnames:
openSUSE-2017-47
openSUSE Leap 42.2
  • java-1_7_0-openjdk >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-accessibility >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap-debugsource >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap-devel >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap-devel-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap-headless >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-bootstrap-headless-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-debugsource >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-demo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-demo-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-devel >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-devel-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-headless >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-headless-debuginfo >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-javadoc >= 1.7.0.161-42.6.1
  • java-1_7_0-openjdk-src >= 1.7.0.161-42.6.1
  • java-1_8_0-openjdk >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-accessibility >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-debuginfo >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-debugsource >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-demo >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-demo-debuginfo >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-devel >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-devel-debuginfo >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-headless >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-headless-debuginfo >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-javadoc >= 1.8.0.151-10.18.2
  • java-1_8_0-openjdk-src >= 1.8.0.151-10.18.2
  • libminizip1 >= 1.2.8-10.1
  • libminizip1-debuginfo >= 1.2.8-10.1
  • libz1 >= 1.2.8-10.1
  • libz1-32bit >= 1.2.8-10.1
  • libz1-debuginfo >= 1.2.8-10.1
  • libz1-debuginfo-32bit >= 1.2.8-10.1
  • minizip-devel >= 1.2.8-10.1
  • zlib >= 1.2.8-10.1
  • zlib-debugsource >= 1.2.8-10.1
  • zlib-devel >= 1.2.8-10.1
  • zlib-devel-32bit >= 1.2.8-10.1
  • zlib-devel-static >= 1.2.8-10.1
  • zlib-devel-static-32bit >= 1.2.8-10.1
Patchnames:
openSUSE-2017-1269
openSUSE-2017-46
openSUSE-2018-14
openSUSE Leap 42.3
  • java-1_7_0-openjdk >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-accessibility >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap-debugsource >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap-devel >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap-devel-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap-headless >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-bootstrap-headless-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-debugsource >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-demo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-demo-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-devel >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-devel-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-headless >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-headless-debuginfo >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-javadoc >= 1.7.0.161-45.1
  • java-1_7_0-openjdk-src >= 1.7.0.161-45.1
  • java-1_8_0-openjdk >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-accessibility >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-debuginfo >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-debugsource >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-demo >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-demo-debuginfo >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-devel >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-devel-debuginfo >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-headless >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-headless-debuginfo >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-javadoc >= 1.8.0.151-18.1
  • java-1_8_0-openjdk-src >= 1.8.0.151-18.1
Patchnames:
openSUSE-2017-1269
openSUSE-2018-14


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 zlib Released
SUSE Linux Enterprise Desktop 12 SP2 zlib Released
SUSE Linux Enterprise SDK 11 SP4 zlib Released
SUSE Linux Enterprise SDK 12 GA zlib Affected
SUSE Linux Enterprise SDK 12 SP1 zlib Released
SUSE Linux Enterprise SDK 12 SP2 zlib Released
SUSE Linux Enterprise Server 11 SP3 LTSS zlib Affected
SUSE Linux Enterprise Server 11 SP4 zlib Released
SUSE Linux Enterprise Server 12 GA LTSS zlib Affected
SUSE Linux Enterprise Server 12 SP1 zlib Released
SUSE Linux Enterprise Server 12 SP2 zlib Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI zlib Released
SUSE Studio Onsite 1.3 zlib Released